import gate.creole.ANNIEConstants
import gate.mimir.SemanticAnnotationHelper.Mode
import gate.mimir.index.OriginalMarkupMetadataHelper
import gate.mimir.db.DBSemanticAnnotationHelper as DefaultHelper

tokenASName = ""
tokenAnnotationType = ANNIEConstants.TOKEN_ANNOTATION_TYPE
tokenFeatures = {
  string()
  category()
  root()
}

semanticASName = ""

semanticAnnotations = {  
  index {
    annotation helper:new DefaultHelper(annType:'Sentence')
    annotation helper:new DefaultHelper(annType:'Document', mode:Mode.DOCUMENT,
        integerFeatures:['date'])
  }
  index {
    annotation helper:new DefaultHelper(annType:'Person', nominalFeatures:['gender'])
    annotation helper:new DefaultHelper(annType:'Location', nominalFeatures:['locType'])
    annotation helper:new DefaultHelper(annType:'Organization')
  }
  index {
    annotation helper:new DefaultHelper(annType:'Percent')
    annotation helper:new DefaultHelper(annType:'Money')
    annotation helper:new DefaultHelper(annType:'Date', nominalFeatures:['kind'])
    annotation helper:new DefaultHelper(annType:'Address', nominalFeatures:['kind'])  
  }
}
documentRenderer = new OriginalMarkupMetadataHelper()
documentMetadataHelpers = [documentRenderer]
